commit 585d0cd944d952f08f7649d02f1d6b6644e93611
Author: Peter Eisentraut <peter@eisentraut.org>
Date:   Sat Aug 20 20:48:47 2022 +0200

    Remove dummyret definition
    
    This hasn't been used in a while (last use removed by 50d22de932, and
    before that 84b6d5f359), and since we are now preferring inline
    functions over complex macros, it's unlikely to be needed again.
    
    Reviewed-by: Daniel Gustafsson <daniel@yesql.se>
    Discussion: https://www.postgresql.org/message-id/flat/7110ab37-8ddd-437f-905c-6aa6205c6185%40enterprisedb.com

diff --git a/src/include/c.h b/src/include/c.h
index 65e91a6b89..dfc366b026 100644
--- a/src/include/c.h
+++ b/src/include/c.h
@@ -333,16 +333,6 @@
 	_61,_62,_63,  N, ...) \
 	(N)
 
-/*
- * dummyret is used to set return values in macros that use ?: to make
- * assignments.  gcc wants these to be void, other compilers like char
- */
-#ifdef __GNUC__					/* GNU cc */
-#define dummyret	void
-#else
-#define dummyret	char
-#endif
-
 /*
  * Generic function pointer.  This can be used in the rare cases where it's
  * necessary to cast a function pointer to a seemingly incompatible function
